Package com.sas.lsaf.workflow.processdefinition

## Class FlowElementDefinition

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.FlowElementDefinition

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `SignalEventDefinition`, `TaskDefinition`, `TimerEventDefinition`

      public class FlowElementDefinition
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents an element in a process flow definition.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowElementDefinition​(java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, java.lang.String parentId)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the element as it appears in the process flow definition.
    `java.lang.String` | `getElementId()` | Gets the identifier of the element as it appears in the process flow definition.
    `java.lang.String` | `getName()` | The name of the element as it appears in the process flow definition.
    `java.lang.String` | `getParentId()` | Gets the identifier of the flow definition that is the parent of this element.
    `Element.ElementType` | `getType()` | Gets the type of the element that associates with the type process flow definition.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowElementDefinition

          public FlowElementDefinition​(java.lang.String elementId,
                                       java.lang.String name,
                                       java.lang.String description,
                                       Element.ElementType type,
                                       java.lang.String parentId)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the flow element definitions returned by the API.
      Parameters:
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `name` - The name of the element as it appears in the process flow definition.
        `description` - The description of the element as it appears in the process flow definition.
        `type` - The type of the element that associates with the type in the process flow definition.
        `parentId` - The identifier of the flow definition that is the parent of this element.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      The name of the element as it appears in the process flow definition.
      Returns:
        The name of the element.

    - #### getElementId

          public java.lang.String getElementId()

      Gets the identifier of the element as it appears in the process flow definition.
      Returns:
        The identifier.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the element as it appears in the process flow definition.
      Returns:
        The description.

    - #### getType

          public Element.ElementType getType()

      Gets the type of the element that associates with the type process flow definition.
      Returns:
        The type.

    - #### getParentId

          public java.lang.String getParentId()

      Gets the identifier of the flow definition that is the parent of this element.
      Returns:
        The parent identifier.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`